BpGraph::EdgeMap< T > Class Template Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions | Private Member Functions
BpGraph::EdgeMap< T > Class Template Reference

## Detailed Description

### template<class T>
class lemon::concepts::BpGraph::EdgeMap< T >

Standard graph map type for the edges. It conforms to the ReferenceMap concept.

`#include <lemon/concepts/bpgraph.h>`

Inheritance diagram for BpGraph::EdgeMap< T >:
[legend]

## Public Member Functions
| EdgeMap (const BpGraph &)
| Constructor.
| EdgeMap (const BpGraph &, T)
| Constructor with given initial value.
Public Member Functions inherited from ReferenceMap< Edge, T, T &, const T & >
Reference | operator[] (const Key &)
| Returns a reference to the value associated with the given key.
ConstReference | operator[] (const Key &) const
| Returns a const reference to the value associated with the given key.
void | set (const Key &k, const Value &t)
| Sets the value associated with the given key.
Public Member Functions inherited from ReadWriteMap< K, T >
Value | operator[] (const Key &) const
| Returns the value associated with the given key.
void | set (const Key &, const Value &)
| Sets the value associated with the given key.
Public Member Functions inherited from ReadMap< K, T >
Value | operator[] (const Key &) const
| Returns the value associated with the given key.
Public Member Functions inherited from WriteMap< K, T >
void | set (const Key &, const Value &)
| Sets the value associated with the given key.
| WriteMap ()
| Default constructor.

## Private Member Functions
| EdgeMap (const EdgeMap &em)
| Copy constructor.
template<typename CMap >
EdgeMap & | operator= (const CMap &)
| Assignment operator.

## Additional Inherited Members
Public Types inherited from ReferenceMap< Edge, T, T &, const T & >
typedef True | ReferenceMapTag
| Tag for reference maps.
typedef Edge | Key
| The key type of the map.
typedef T | Value
| The value type of the map. (The type of objects associated with the keys).
typedef T & | Reference
| The reference type of the map.
typedef const T & | ConstReference
| The const reference type of the map.
Public Types inherited from ReadWriteMap< K, T >
typedef K | Key
| The key type of the map.
typedef T | Value
| The value type of the map. (The type of objects associated with the keys).
Public Types inherited from ReadMap< K, T >
typedef K | Key
| The key type of the map.
typedef T | Value
| The value type of the map. (The type of objects associated with the keys).
Public Types inherited from WriteMap< K, T >
typedef K | Key
| The key type of the map.
typedef T | Value
| The value type of the map. (The type of objects associated with the keys).